# $Revision: 1.3 $, $Date: 2006/04/24 10:06:00 $
%include	/usr/lib/rpm/macros.php
%define		_class		Text
%define		_subclass	Wiki_Mediawiki
%define		_status		alpha
%define		_pearname	Text_Wiki_Mediawiki

Summary:	%{_pearname} - Mediawiki parser for Text_Wiki
Summary(pl):	%{_pearname} - parser Mediawiki dla Text_Wiki
Name:		php-pear-%{_pearname}
Version:	0.1.0
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	f2a45cea901f4ee5301850bb7d029616
URL:		http://pear.php.net/package/Text_Wiki_Mediawiki/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-pear
Requires:	php-pear-Text_Wiki >= 1.0.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Parses Mediawiki mark-up to tokenize the text for Text_Wiki
renderings. You can see a reference for this syntax here:
http://meta.wikimedia.org/wiki/Help:Editing#The_wiki_markup

In PEAR status of this package is: %{_status}.

%description -l pl
Ta klasa przetwarza oznaczenia Mediawiki w celu podziau tekstu z
przeznaczeniem dla Text_Wiki. Opis skadni mona znale pod adresem:
http://meta.wikimedia.org/wiki/Help:Editing#The_wiki_markup

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Text/Wiki/Mediawiki.php
%{php_pear_dir}/Text/Wiki/Parse/Mediawiki

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Text_Wiki_Mediawiki.spec,v $
Revision 1.3  2006/04/24 10:06:00  adamg
- updated to 0.1.0

Revision 1.2  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.1  2006/01/12 10:16:04  adamg
- new

